%define rel		2

%define major		0
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

%define date		20190529
%if %{date}
%define release		%mkrel -c git%{date} %{rel}
%define tarballver	%{commit}
%define tarballdir	%{commit}
%define tarballgit	+git%{date}
%define commit		ca1bf4b810e2d188d04cb6286f957008ee1b7681
%else
%define release		%mkrel %{rel}
%define tarballver	%{version}
%define tarballdir	v%{version}
%endif

Name:		crossguid
Version:	0.2.2
Release:	%{release}
Summary:	Lightweight cross platform C++ GUID/UUID library
Group:		System/Libraries
License:	MIT
URL:		https://github.com/graeme-hill/crossguid/
Source0:	https://github.com/graeme-hill/%{name}/archive/%{tarballdir}/%{name}-%{version}%{?tarballgit}.tar.gz

# Fix build with C++17
# See https://github.com/graeme-hill/crossguid/pull/56
Patch0:		56.patch

BuildRequires:	cmake
BuildRequires:	gcc-c++
BuildRequires:	pkgconfig(uuid)

%description
CrossGuid is a minimal, cross platform, C++ GUID library. It uses the best
native GUID/UUID generator on the given platform and has a generic class for
parsing, stringifying, and comparing IDs.

#----------------------------------------------------

%package -n	%{libname}
Summary:	Main library for %{name}
Group:		System/Libraries

%description -n	%{libname}
Shared libraries for %{name}.

#----------------------------------------------------

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Development files and headers for %{name}.

#----------------------------------------------------

%prep
%autosetup -p1 -n %{name}-%{tarballver}

%build
%cmake
%make_build -C %{_vpath_builddir}

%install
%make_install -C %{_vpath_builddir}

%check
pushd %{_vpath_builddir}
./crossguid-test
popd

%files -n %{libname}
%doc README.md
%license LICENSE
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/*
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/crossguid/


%changelog
* Wed Apr 15 2020 kekepower <kekepower> 0.2.2-0.git20190529.2.mga8
+ Revision: 1567691
- Bugfix: Allow to compile with C++17

* Wed Apr 15 2020 kekepower <kekepower> 0.2.2-0.git20190529.1.mga8
+ Revision: 1567390
- Update to version 0.2.2.git20190529

* Wed Feb 12 2020 umeabot <umeabot> 0-0.git20150803.3.mga8
+ Revision: 1511648
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0-0.git20150803.2.mga7
+ Revision: 1297332
- Mageia 7 Mass Rebuild

* Mon Mar 14 2016 daviddavid <daviddavid> 0-0.git20150803.1.mga6
+ Revision: 990533
- imported package crossguid

